package  
{
	import flash.display.Bitmap;
	import flash.display.Sprite;
	import flash.events.Event;
	
	/**
	 * ...
	 * @author Jami
	 */
	public class BigShoe extends Sprite 
	{
		public var dir:Number = 0;
		[Embed(source = "../lib/BigShoe.png")]
		public var BigShoePNG:Class;
		[Embed(source = "../lib/BigShoe2.png")]
		public var BigShoePNG2:Class;
		public var bBigShoe:Bitmap;
		public var isStopped:Boolean;
		public var jumping:Boolean = false;
		public function BigShoe(id:int = 0) 
		{
			addEventListener(Event.ADDED_TO_STAGE, added);
			switch (id) 
			{
				case 0 :
					bBigShoe = new BigShoePNG();
				break;
				
				case 1 :
					bBigShoe = new BigShoePNG2();
				break;
				default:
			}
		}
		
		private function added(e:Event):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, added);
			bBigShoe.x -= 16;
			bBigShoe.y -= 32;
			scaleX = scaleY = 8;
			addChild(bBigShoe);
		}
		public function moving():void
		{
			y = Math.cos(dir) * 30 + 450;
			dir += 0.2;
			x = 400 + Math.sin(-this.scaleX*dir/8) * 10
			
		}
		public function stopMe():void 
		{
			if (y < 480)
			{
				y += 10;
			}else
			{
				y = 480;
				isStopped = true;
			}
		}
		public function jump():void 
		{
			if (jumping)
			{
				y -= 5;
				if (y < 400)
				{
					jumping = false;
				}
			}else if (y < 480)
			{
				y += 5;
			}else
			{
				y = 480;
			}
		}
	}

}