package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.KeyboardEvent;
	import flash.media.Sound;
	import flash.ui.Keyboard;
	
	/**
	 * ...
	 * @author Jami
	 */
	public class Main extends Sprite 
	{
		[Embed(source = "../lib/nimp.mp3")]
		public var Muz:Class;
		public var sMuz:Sound;
		public var moving:int = 0;
		public static var shoe:BigShoe;
		public static var shoe2:BigShoe;
		private var layer:LittleLayer;
		
		public function Main():void 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
			stage.addEventListener(KeyboardEvent.KEY_DOWN, move);
			stage.addEventListener(KeyboardEvent.KEY_UP, stopMoving);
			sMuz = (new Muz) as Sound;
			sMuz.play(0, 9999);
		}
		
		private function stopMoving(e:KeyboardEvent):void 
		{
			moving = 0;
			
		}
		
		private function move(e:KeyboardEvent):void 
		{
			shoe.isStopped = false;
			shoe2.isStopped = false;
			if (moving != 2)
			{
				if (e.keyCode == Keyboard.RIGHT)
				{
					moving = 1;
				}else if (e.keyCode == Keyboard.LEFT)
				{
					moving = -1;
				}
				else if (e.keyCode == Keyboard.SPACE)
				{
					shoe.y = 475;
					shoe2.y = 475;
					shoe.jumping = true;
					shoe2.jumping = true;
					moving = 2;
				}
			}
			
		}
		
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			layer = new LittleLayer();
			addChild(layer);
			shoe = new BigShoe(1);
			shoe.x = 400;
			addChild(shoe);
			shoe2 = new BigShoe(0);
			shoe2.x = 400;
			shoe2.dir = 3;
			addChild(shoe2);
			addEventListener(Event.ENTER_FRAME, update);
		}
		
		private function update(e:Event):void 
		{
			if (moving != 0)
			{
				if (moving == 2)
				{
					if (shoe.y == 480 && shoe2.y == 480)
					{
						moving = 0;
					}else
					{
						trace("youhou");
						shoe.jump();
						shoe2.jump();
					}
					
				}else
				{
					shoe.scaleX = moving*8;
					shoe2.scaleX = moving*8;
					shoe.moving();
					shoe2.moving();
				layer.update(moving/5);
				}
				
					
			}else
			{
				if (!shoe.isStopped)
				{
					shoe.stopMe();
				}
				if (!shoe2.isStopped)
				{
					shoe2.stopMe();
				}
			}
		}
		
	}
	
}